import { PureComponent } from "react";
export declare class SoftField extends PureComponent<{
    onChange: (e: any) => void;
    onClick: (e: any) => void;
    placeholder: string;
    value: string;
}> {
    constructor(props: any);
    render(): JSX.Element;
}
